Skip to main content
PATCH
Update an application's generated files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string
required

The application's id.

Body

application/json
files
object[]
required
deleted_paths
string[]

Repository-relative paths to delete in the same commit.

commit_message
string
default:Update generated files via Ankra
pr_title
string | null

Title for the pull request, when one is opened.

Response

The commit and its pull request.

commit_sha
string | null
required
pull_request_url
string | null
required
success
boolean
required
message
string
required